All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class ContentDestination

    com.sas.services.information.metadata.ContentDestination

All Implemented Interfaces:
  java.io.Serializable

    public class ContentDestination

implements java.io.Serializable

The ContentDestination class is a container class that contains the content destination information for a subscriber or channel.

A channel can be defined with a default archive path or a default WebDAV server. This container class is used to return the content destination information for each of these default transports. If a default WebDAV server is defined on a channel, the content destination contains information needed to access this webDAV content destination. Information includes the relative URL as defined on the channel, the server's base path, and the server itself.

If a default archive path is defined on a channel, the content destination contains information. If the archive path is defined as a physical file location, the server and base path information will be null, and the path will identify the physical file location. If the archive path is defined as an HTTP server, the content destination includes the relative path as defined on the channel, as well as the server's base path and the server itself. If the archive path is defined as an FTP server, the content destination will include the relative path information as defined on the channel, as well as the server (there is no base path information for an FTP server).

A subscriber can be defined as a WebDAV subscriber. The content destination will include the relative path as defined for the subscriber, as well as the server's base path and the server definition itself.

Since:
  1.1
See Also:
  Serialized Form

Constructor Summary
`ContentDestination(DirectoryInterface directory, java.lang.String path, java.lang.String basePath, ServerInterface server, DirectoryInterface basePathDirectory)` Constructor for ContentDestination.

Method Summary
`java.lang.String` | `getBasePath()` Returns content destination's base path.
`DirectoryInterface` | `getBasePathDirectory()` If the content destination is defined as an HTTP server, this Directory object represents the base path directory of the HTTP server.
`DirectoryInterface` | `getDirectory()` The Directory object that represents the content destination information.
`java.lang.String` | `getPath()` Returns the path of the content destination information as defined on a channel or subscriber.
`ServerInterface` | `getServer()` Returns the server as defined as the content destination for a channel or subscriber.

Constructor Detail

### ContentDestination

    public ContentDestination(DirectoryInterface directory,
                              java.lang.String path,
                              java.lang.String basePath,
                              ServerInterface server,
                              DirectoryInterface basePathDirectory)

  Constructor for ContentDestination.

  Parameters:
    `directory` - A DirectoryInterface object for the base directory where the content will be stored.
    `path` - A String containing the path from the base directory where the content will be located.
    `basePath` - A String with yet another path.
    `server` - The server that provides access to the directory.
    `basePathDirectory` - The base path directory.

Method Detail

### getBasePath

    public java.lang.String getBasePath()

  Returns content destination's base path. This is the base path of the HTTP server.

  Returns:
    The base path; may be `null`.

### getPath

    public java.lang.String getPath()

  Returns the path of the content destination information as defined on a channel or subscriber. If the content destination is defined as an HTTP server, this path is the relative path as defined on the channel or subscriber. If the content destination is a physical file location (such as an archive path), this path is the absolute file path. If the content destination is defined as an FTP server, this path is the relative path as defined on the channel.

  Returns:
    The relative path of the channel or subscriber.

### getServer

    public ServerInterface getServer()

  Returns the server as defined as the content destination for a channel or subscriber. For WebDAV subscribers, this server should be an HTTP server. For channel archive paths, this server can be an HTTP or FTP server.

  Returns:
    The HTTP or FTP server; may be `null`.

### getDirectory

    public DirectoryInterface getDirectory()

  The Directory object that represents the content destination information. If using an OMR repository, this is the directory that is directly associated on the channel metadata.

  Returns:
    The Directory object representing the content destination information. This may be `null`.

### getBasePathDirectory

    public DirectoryInterface getBasePathDirectory()

  If the content destination is defined as an HTTP server, this Directory object represents the base path directory of the HTTP server.

  Returns:
    The Directory object that is the base path of the HTTP server. This value my be `null`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.